### SOCIALS LOGIN

DELETE FROM admin_pages WHERE page_key = "configSocialsLogin";

SET @configuration_group_id=0;
SELECT (@configuration_group_id:=configuration_group_id) 
FROM configuration_group 
WHERE configuration_group_title = 'Socials Login Configuration' 
LIMIT 1;
DELETE FROM configuration WHERE configuration_group_id = @configuration_group_id AND @configuration_group_id != 0;
DELETE FROM configuration_group WHERE configuration_group_id = @configuration_group_id AND @configuration_group_id != 0;

INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible) VALUES (NULL, 'Socials Login Configuration', 'Set Socials Login Options', '1', '1');
SET @configuration_group_id=last_insert_id();
UPDATE configuration_group SET sort_order = @configuration_group_id WHERE configuration_group_id = @configuration_group_id;
INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES
(NULL, 'Facebook App ID', 'SOCIALS_LOGIN_FB_APP_ID', '', 'Enter your facebook app id. If you have not, try to create a app at https://developers.facebook.com/apps', @configuration_group_id, 10, NOW(), NULL, NULL),
(NULL, 'Facebook App Secret', 'SOCIALS_LOGIN_FB_APP_SECRET', '', 'Enter your facebook app id. If you have not, try to create a app at https://developers.facebook.com/apps', @configuration_group_id, 20, NOW(), NULL, NULL),
(NULL, 'Yahoo Consumer Key', 'SOCIALS_LOGIN_YH_CONSUMER_KEY', '', 'Create a yahoo app and you will see the consumer key.', @configuration_group_id, 40, NOW(), NULL, NULL),
(NULL, 'Yahoo Consumer Secret', 'SOCIALS_LOGIN_YH_CONSUMER_SECRET', '', 'Create a yahoo app and you will see the consumer secret.', @configuration_group_id, 50, NOW(), NULL, NULL),
(NULL, 'Yahoo App ID', 'SOCIALS_LOGIN_YH_APP_ID', '', 'Create a yahoo app and you will see the app id.', @configuration_group_id, 60, NOW(), NULL, NULL),
(NULL, 'Live App ID', 'SOCIALS_LOGIN_LIVE_APP_ID', '', 'Enter your live app id. If you have not, try to create a app at https://account.live.com/developers/applications/create', @configuration_group_id, 60, NOW(), NULL, NULL),
(NULL, 'Live App Secret', 'SOCIALS_LOGIN_LIVE_APP_SECRET', '', 'Enter your live app secret. If you have not, try to create a app at https://account.live.com/developers/applications/create', @configuration_group_id, 70, NOW(), NULL, NULL);

# Register the configuration page for Admin Access Control
INSERT IGNORE INTO admin_pages (page_key,language_key,main_page,page_params,menu_key,display_on_menu,sort_order) VALUES ('configSocialsLogin','BOX_CONFIGURATION_SOCIALS_LOGIN','FILENAME_CONFIGURATION',CONCAT('gID=',@configuration_group_id),'configuration','Y',@configuration_group_id);
